mueval-0.9.3: Safely evaluate pure Haskell expressions

Safe Haskell | Safe
Language | Haskell98

Mueval.ArgsParse

Synopsis

- data Options = Options {
  - timeLimit :: Int
  - modules :: Maybe [String]
  - expression :: String
  - loadFile :: String
  - user :: String
  - printType :: Bool
  - typeOnly :: Bool
  - extensions :: Bool
  - namedExtensions :: [String]
  - noImports :: Bool
  - rLimits :: Bool
  - packageTrust :: Bool
  - trustedPackages :: [String]
  - help :: Bool
  }
- interpreterOpts :: [String] -> Either (Bool, String) Options

# Documentation

data Options Source #

See the results of --help for information on what each option means.

Constructors

Options |

Fields

- timeLimit :: Int
- modules :: Maybe [String]
- expression :: String
- loadFile :: String
- user :: String
- printType :: Bool
- typeOnly :: Bool
- extensions :: Bool
- namedExtensions :: [String]
- noImports :: Bool
- rLimits :: Bool
- packageTrust :: Bool
- trustedPackages :: [String]
- help :: Bool

#### Instances

Instances details

Show Options Source # |
Instance details Defined in Mueval.ArgsParse Methods showsPrec :: Int -> Options -> ShowS Source # show :: Options -> String Source # showList :: [Options] -> ShowS Source #

interpreterOpts :: [String] -> Either (Bool, String) Options Source #